Release contractor
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/release-contractor \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"contractorContactId": "<string>",
"note": "<string>",
"recordNote": "<string>",
"payForAttendance": true,
"trade": "<string>",
"tradePurpose": "<string>",
"safeMeanwhile": true
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
contractorContactId: '<string>',
note: '<string>',
recordNote: '<string>',
payForAttendance: true,
trade: '<string>',
tradePurpose: '<string>',
safeMeanwhile: true
})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/release-contractor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/release-contractor"
payload = {
"requestId": "<string>",
"contractorContactId": "<string>",
"note": "<string>",
"recordNote": "<string>",
"payForAttendance": True,
"trade": "<string>",
"tradePurpose": "<string>",
"safeMeanwhile": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"repairId": "<string>",
"canRelease": true,
"releases": [
{
"id": "<string>",
"contractorContactId": "<string>",
"contractor": "<string>",
"reason": "not_suitable",
"handBackReason": "no_capacity",
"note": "<string>",
"recordNote": "<string>",
"payForAttendance": true,
"source": "staff",
"visitCancelled": true,
"trade": "<string>",
"tradePurpose": "<string>",
"safeMeanwhile": true,
"releasedAt": "<string>",
"releasedBy": "<string>"
}
],
"tradeNeed": {
"id": "<string>",
"trade": "<string>",
"tradeLabel": "<string>",
"purpose": "<string>",
"safeMeanwhile": true,
"currentFinishes": true,
"foundBy": "<string>",
"recordedAt": "<string>"
},
"findingContractor": true
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Release contractor
Take a repair off its contractor: their visit is cancelled and the repair goes back to triaged
POST
/
maintenance-pro
/
repairs
/
{id}
/
release-contractor
Release contractor
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/release-contractor \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"contractorContactId": "<string>",
"note": "<string>",
"recordNote": "<string>",
"payForAttendance": true,
"trade": "<string>",
"tradePurpose": "<string>",
"safeMeanwhile": true
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
contractorContactId: '<string>',
note: '<string>',
recordNote: '<string>',
payForAttendance: true,
trade: '<string>',
tradePurpose: '<string>',
safeMeanwhile: true
})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/release-contractor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/release-contractor"
payload = {
"requestId": "<string>",
"contractorContactId": "<string>",
"note": "<string>",
"recordNote": "<string>",
"payForAttendance": True,
"trade": "<string>",
"tradePurpose": "<string>",
"safeMeanwhile": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"repairId": "<string>",
"canRelease": true,
"releases": [
{
"id": "<string>",
"contractorContactId": "<string>",
"contractor": "<string>",
"reason": "not_suitable",
"handBackReason": "no_capacity",
"note": "<string>",
"recordNote": "<string>",
"payForAttendance": true,
"source": "staff",
"visitCancelled": true,
"trade": "<string>",
"tradePurpose": "<string>",
"safeMeanwhile": true,
"releasedAt": "<string>",
"releasedBy": "<string>"
}
],
"tradeNeed": {
"id": "<string>",
"trade": "<string>",
"tradeLabel": "<string>",
"purpose": "<string>",
"safeMeanwhile": true,
"currentFinishes": true,
"foundBy": "<string>",
"recordedAt": "<string>"
},
"findingContractor": true
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Available options:
not_suitable, unresponsive, handed_back, repeated_no_shows, repeated_rearranging, needs_other_trade, other